﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class GeneradorDeEnemigos : MonoBehaviour {

    public float tiempoRecarga;                 // tiempo de espera entre generación y generación expresado en segundos
    public int maxPoblacion;                    // número máximo de enemigos que puede haber simultaneamente en el escenario y que a su vez
                                                // hayan sido creados por este generador
    public int maxGeneraciones;                 // número máximo de enemigos que puede crear el generador, determina su vida útil
    public int numGeneraciones;                 // número de enemigos creados hasta el momento
    public float tiempoUltimaGeneracion;        // momento en que se hizo la última generación de enemigo

    void Start()
    {
        tiempoUltimaGeneracion = 0;
        name = "generador";
    }

    /// <summary>
    /// Genera un enemigo
    /// </summary>
    private void GenerarEnemigo()
    {
        Enemigo enemigo = ManejadorDeEscena3D.CrearEnemigo(transform.position, 0f, transform);
        tiempoUltimaGeneracion = Time.time;
        numGeneraciones++;
    }

    void Update()
    {
        // comprueba si se puede generar un enemigo
        //Debug.Log(string.Format("nGeneraciones {0}   maxGeneraciones {1}   poblacion {2}   maxPoblacion {3}", numGeneraciones, maxGeneraciones, transform.childCount, maxPoblacion));
        if (!Partida.enPausa && (numGeneraciones < maxGeneraciones) && ((Time.time - tiempoUltimaGeneracion) >= tiempoRecarga) && (gameObject.transform.childCount < maxPoblacion))
            GenerarEnemigo();
    }

    /// <summary>
    /// Establece el estado de pausa de los enemigos que hayan sido creados por el generador
    /// </summary>
    /// <param name="p_EstadoPausa">Estado de pausa: true si se pone pausa, false si se reanuda</param>
    public void enPausa(bool p_EstadoPausa)
    {
        int hijos = transform.childCount;
        int i = 0;
        while (i<hijos)
        {
            Enemigo enemigo = transform.GetChild(i).gameObject.GetComponent<Enemigo>();
            if (enemigo != null)
                enemigo.enPausa(p_EstadoPausa);
            i++;
        }
    }

}
