﻿using System;
using UnityEngine;

public class GeneradorDeEntidades : EntidadMapa
{
    public float tiempoRecarga;                 // tiempo de espera entre generación y generación expresado en segundos
    public int maxPoblacion;                    // número máximo de enemigos que puede haber simultaneamente en el escenario y que a su vez
                                                // hayan sido creados por este generador
    public int maxGeneraciones;                 // número máximo de entidades que puede crear el generador, determina su vida útil, luego se destruye
    public int numGeneraciones;                 // número de entidades creadas hasta el momento
    public float tiempoUltimaGeneracion;        // momento en que se hizo la última generación
    public EntidadMapa prefabEntidadAGenerar;   // prototipo de la entidad que crea este generador

    public ManejadorDeEscena3D manejadorDeEscena3D; //

    void Start()
    {
        tiempoRecarga = 1;
        maxPoblacion = 1;
        numGeneraciones = 0;
        tiempoUltimaGeneracion = 0;
        name = "generador";
    }

    private void GenerarEntidad()
    {
        Vector3 escala = new Vector3(.01f, .01f, .01f);

        EntidadMapa ent = manejadorDeEscena3D.GenerarEntidad(prefabEntidadAGenerar, transform.position, Quaternion.identity, escala);

        tiempoUltimaGeneracion = Time.time;

        numGeneraciones++;
    }

    void Update()
    {

        if (numGeneraciones<maxGeneraciones && (Time.time - tiempoUltimaGeneracion) >= tiempoRecarga)
            GenerarEntidad();
    }

}