﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Ametralladora : Arma {

    public Ametralladora()
    {
        cadencia            = 700;
        nombre              = "Ametralladora";
        dano                = 34;        // daño
        precision           = 1f;
        municion            = 0;
        municionInfinita    = true;
        modoRafaga          = true;

        CalcularTiempominimoEntreDisparos();
    }

    public override void Disparar(Camera p_Camara)
    {
        //Debug.Log(string.Format("time {0}, tiempoUltimoDisparo {1}, tiempoMinimoEntreDisparos {2}", Time.time, tiempoUltimoDisparo, tiempoMinimoEntreDisparos));
        //PanelDebug.staticAddTextoIzquierda(string.Format("time {0}, tiempoUltimoDisparo {1}, tiempoMinimoEntreDisparos {2}", Time.time, tiempoUltimoDisparo, tiempoMinimoEntreDisparos));
        if (Time.time - tiempoUltimoDisparo >= tiempoMinimoEntreDisparos)
        {
            base.Disparar(null);
            ManejadorDeSonido.ReproducirFxPistola();
            Ray ray = p_Camara.ViewportPointToRay(new Vector3(0.5f, 0.5f, 0));
            RaycastHit hit;
            if (Physics.Raycast(ray, out hit))
            {
                ManejadorDeEscena3D.CrearParticulasImpacto(hit.point, Quaternion.identity);

                Vector3 direction = hit.point - p_Camara.transform.position;
                switch (hit.transform.tag)
                {
                    case "Enemigo":

                        hit.rigidbody.AddForceAtPosition(direction.normalized * 0.5f, hit.point, ForceMode.Impulse);
                        Enemigo enem = hit.transform.GetComponent<Enemigo>();
                        enem.RecibirDano(dano * Partida.multiplicadorDano);
                        Partida.puntuacion += (dano * Partida.multiplicadorDano);
                        break;

                    case "Caja":
                        hit.rigidbody.AddForceAtPosition(direction.normalized * 2.5f, hit.point, ForceMode.Impulse);
                        Caja caja = hit.transform.GetComponent<Caja>();
                        caja.RecibirDano(dano * Partida.multiplicadorDano);
                        break;

                    case "Capsula":
                        Capsula cap = hit.transform.GetComponent<Capsula>();
                        cap.RecibirDano(dano * Partida.multiplicadorDano);
                        Partida.puntuacion -= (dano * Partida.multiplicadorDano);
                        break;

                    case "PowerupX2":
                        PowerupX2 pux2 = hit.transform.GetComponent<PowerupX2>();
                        pux2.Destruir();
                        Partida.multiplicadorDano = 2;
                        break;
                }
            }
        }
    }
}
