﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

/// <summary>
/// Clase encargada de la reproducción de efectos de sonido durante la partida
/// </summary>
public class ManejadorDeSonido : MonoBehaviour {

    private static ManejadorDeSonido reference;
    private AudioSource audioSource;                // punto de emisión del sonido

    #region sonidos
    public AudioClip fxPistola;                     // clip de sonido del disparo de la pistola
    public AudioClip fxEscopeta;                    // clip de sonido del disparo de la escopeta
    public AudioClip fxExplosion;                   // clip de sonido de la explosión
    #endregion

    void Start() {
        reference = this;
        audioSource = GetComponent<AudioSource>();
    }

    void Update() {

    }

    /// <summary>
    /// Reproduce el sonido emitido por la pistola al disparar
    /// </summary>
    public static void ReproducirFxPistola() {
        if (reference != null)
            reference.audioSource.PlayOneShot(reference.fxPistola, 0.1f * Preferencias.VolumenFX);
    }

    /// <summary>
    /// Reproduce el sonido emitido por una explosión
    /// </summary>
    public static void ReproducirFxExplosion()
    {
        if (reference != null)
            reference.audioSource.PlayOneShot(reference.fxExplosion, 0.1f * Preferencias.VolumenFX);
    }
}
