﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;

public class MenuPausa : MonoBehaviour {

    public UI_NavegadorDeValores SelectorVolumenMusica;
    public UI_NavegadorDeValores SelectorVolumenFX;

    void Start()
    {
        SelectorVolumenMusica.ValorHaCambiado += musica_ValorHaCambiado;
        SelectorVolumenFX.ValorHaCambiado += fx_ValorHaCambiado;

        OnShow();
    }

    void Update()
    {

    }

    void musica_ValorHaCambiado(object sender, UI_NavegadorDeValores.NavegadorDeValoresEventArgs e)
    {
        int resultado = 0;
        int.TryParse(e.Valor, out resultado);
        Preferencias.VolumenMusica = resultado;
        string msg = string.Format("Nuevo valor música: {0}", e.Valor);
        Debug.Log(msg);
    }

    void fx_ValorHaCambiado(object sender, UI_NavegadorDeValores.NavegadorDeValoresEventArgs e)
    {
        int resultado = 0;
        int.TryParse(e.Valor, out resultado);
        Preferencias.VolumenFX = resultado;
        string msg = string.Format("Nuevo valor FX: {0}", e.Valor);
        Debug.Log(msg);
    }

    public void OnReanudarPartida() {
        Preferencias.Save();
        transform.parent.transform.localScale = new Vector3(0,0);
        ManejadorDeEscena3D.enPausa(false);
    }

    public void OnFinalizarPartida()
    {
        Preferencias.Save();
        SceneManager.LoadScene("MenuPrincipal");
    }

    public void OnShow()
    {
        SelectorVolumenMusica.ponerValorSiEsPosible(Preferencias.VolumenMusica.ToString("00"));
        SelectorVolumenFX.ponerValorSiEsPosible(Preferencias.VolumenFX.ToString("00"));
    }

}
