﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;
using UnityEngine.UI;

public class MenuOpciones : MonoBehaviour {

    public UI_NavegadorDeValores SelectorVolumenMusica;
    public UI_NavegadorDeValores SelectorVolumenFX;
    public UI_NavegadorDeValores SelectorDificultad;
    public InputField nombreJugador;

    void Start () {
        SelectorVolumenMusica.ValorHaCambiado += musica_ValorHaCambiado;
        SelectorVolumenFX.ValorHaCambiado += fx_ValorHaCambiado;
        SelectorDificultad.ValorHaCambiado += dificultad_ValorHaCambiado;
        SelectorVolumenMusica.ponerValorSiEsPosible(Preferencias.VolumenMusica.ToString("00"));
        SelectorVolumenFX.ponerValorSiEsPosible(Preferencias.VolumenFX.ToString("00"));
        SelectorDificultad.ponerValorSiEsPosible(Preferencias.Dificultad);
        nombreJugador.text = Preferencias.NombreJugador;
    }
	
	void Update () {
		
	}

    public void OnVolver()
    {
        SceneManager.LoadScene("MenuPrincipal");
    }

    static void musica_ValorHaCambiado(object sender, UI_NavegadorDeValores.NavegadorDeValoresEventArgs e)
    {
        int resultado = 0;
        int.TryParse(e.Valor, out resultado);
        Preferencias.VolumenMusica = resultado;
        string msg = string.Format("Nuevo valor música: {0}", e.Valor);
        Debug.Log(msg);
    }

    static void fx_ValorHaCambiado(object sender, UI_NavegadorDeValores.NavegadorDeValoresEventArgs e)
    {
        int resultado = 0;
        int.TryParse(e.Valor, out resultado);
        Preferencias.VolumenFX = resultado;
        string msg = string.Format("Nuevo valor FX: {0}", e.Valor);
        Debug.Log(msg);
    }

    static void dificultad_ValorHaCambiado(object sender, UI_NavegadorDeValores.NavegadorDeValoresEventArgs e)
    {
        Preferencias.Dificultad = e.Valor;
        string msg = string.Format("Nuevo valor dificultad: {0}", e.Valor);
        Debug.Log(msg);
    }

    private void OnDestroy()
    {
        Preferencias.NombreJugador = nombreJugador.text;
        Preferencias.Save();
    }
}
