﻿using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class UI_NavegadorDeValores : MonoBehaviour
{

    public string[] Valores;
    private int index;
    private Text txt_control;

    public event EventHandler<NavegadorDeValoresEventArgs> ValorHaCambiado;

    void Start()
    {
        txt_control = transform.Find("Texto").GetComponent<Text>();
        index = 0;
    }

    void Update()
    {

    }

    public void inicializarValores(string[] arr_valores)
    {
        if (arr_valores != null)
            Valores = arr_valores;
    }

    public void ponerValorSiEsPosible(string valor)
    {
        int i = 0;
        bool encontrado = false;
        while (i<Valores.Length && !encontrado)
        {
            if (Valores[i].Equals(valor))
            {
                index = i;
                ActualizarValor();
                encontrado = true;
            }
            else
                i++;
        }
    }

    public void OnAnterior()
    {
        if (index > 0)
        {
            index--;
            ActualizarValor();
        }
    }

    public void OnSiguiente()
    {
        if (index < Valores.Length - 1)
        {
            index++;
            ActualizarValor();
        }
    }

    public void ActualizarValor() {
        if (txt_control != null)
        {
            txt_control.text = Valores[index];
            NavegadorDeValoresEventArgs args = new NavegadorDeValoresEventArgs();
            args.Valor = Valores[index];
            OnValorHaCambiado(args);
        }
    }

    protected virtual void OnValorHaCambiado(NavegadorDeValoresEventArgs e)
    {
        EventHandler<NavegadorDeValoresEventArgs> handler = ValorHaCambiado;
        if (handler != null)
        {
            handler(this, e);
        }
    }

    public class NavegadorDeValoresEventArgs : EventArgs
    {
        public string Valor { get; set; }
    }
}
