﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;
using UnityEngine.UI;


public class PantallaInicial : MonoBehaviour {

    public Text mensaje;                  // texto afectado por el efecto
    private int direccion;                // indica si alpha está subiendo (1) o bajando (-1)
    const float VELOCIDAD_EFECTO = 1.15f; // cambio de alpha por segundo
    private Color currentColor;           // color actual del texto (en realidad solo cambia el componente alpha)

    void Start() {
        currentColor = new Color(mensaje.color.r, mensaje.color.g, mensaje.color.b, mensaje.color.a);
        direccion = -1;
    }

    void Update() {
        currentColor.a += direccion * Time.deltaTime * VELOCIDAD_EFECTO;

        if (currentColor.a < 0)
            currentColor.a = 0;

        if (currentColor.a > 1)
            currentColor.a = 1;

        if (currentColor.a == 0 || currentColor.a == 1)
            CambiarDireccionEfecto();

        mensaje.color = currentColor;
    }

    private void CambiarDireccionEfecto()
    {
        if (direccion == 1)
            direccion = -1;
        else
            direccion = 1;
    }

    public void OnEntrar()
    {
        SceneManager.LoadScene("MenuPrincipal");
    }
}