﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Preferencias {

    public static int VolumenFX;
    public static int VolumenMusica;
    public static string NombreJugador;
    public static string Dificultad;

    public static string path = Application.persistentDataPath + "/preferencias.txt";

    static Preferencias() {
        Load();
    }

    public static void Load()
    {
        string[] txtLineas;
        
        if (HandleTextFile.FileExists(path)) {
            txtLineas = HandleTextFile.ReadString(path);
        } else
        {
        
            TextAsset txtAsset = Resources.Load("preferencias") as TextAsset;
            txtLineas = txtAsset.text.Split('\n');
        }

        foreach (string linea in txtLineas)
        {
            string[] valoresLinea = linea.Split(':');
            if (valoresLinea.Length == 2)
            {
                int valorEntero;
                switch (valoresLinea[0]) {
                    case "VolumenFX":
                        if (int.TryParse(valoresLinea[1], out valorEntero))
                            VolumenFX = Clamp(valorEntero, 0, 10);
                        break;
                    case "VolumenMusica":
                        if (int.TryParse(valoresLinea[1], out valorEntero))
                            VolumenMusica = Clamp(valorEntero, 0, 10);
                        break;
                    case "NombreJugador":
                        if (!string.IsNullOrEmpty(valoresLinea[1]))
                            NombreJugador = valoresLinea[1];
                        break;
                    case "Dificultad":
                        switch (valoresLinea[1])
                        {
                            case "Fácil":
                            case "Normal":
                            case "Difícil":
                                Dificultad = valoresLinea[1];
                                break;
                            default:
                                Dificultad = "Fácil";
                                break;
                        }
                        break;
                }
            }
        }
    }

    public static void Save() { 
        string[] txtLineas = {
            "VolumenFX:" + VolumenFX.ToString("00"),
            "VolumenMusica:" + VolumenMusica.ToString("00"),
            "NombreJugador:" + NombreJugador,
            "Dificultad:" + Dificultad
        };
        HandleTextFile.WriteString(path, txtLineas);
    }

    public static int Clamp(int valor, int min, int max)
    {
        if (valor < min)
            return min;
        else
        {
            if (valor > max)
                return max;
            else
                return valor;
        }
    }
}
